var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import { Button as MuiButton } from '@mui/material';
import { styled } from '@mui/system';
import { ButtonShape } from './Button.types';
/**
 * Get the button styles for shape prop
 *
 * @param shape | Shape of the button
 * @returns | Styles to apply
 */
export var getButtonShapeStyles = function (shape) {
    var _a;
    var candyRadius = '16px';
    var defaultRadius = '2px';
    var shapeStyles = (_a = {},
        _a[ButtonShape.CANDY] = {
            borderRadius: candyRadius,
        },
        _a[ButtonShape.ROUNDED] = {
            borderRadius: defaultRadius,
        },
        _a[ButtonShape.ROUNDED_TOP] = {
            borderRadius: "".concat(defaultRadius, " ").concat(defaultRadius, " 0 0"),
        },
        _a[ButtonShape.ROUNDER_BOTTOM] = {
            borderRadius: "0 0 ".concat(defaultRadius, " ").concat(defaultRadius),
        },
        _a[ButtonShape.ROUNDED_LEFT] = {
            borderRadius: "".concat(defaultRadius, " 0 0 ").concat(defaultRadius),
        },
        _a[ButtonShape.ROUNDED_RIGHT] = {
            borderRadius: "0 ".concat(defaultRadius, " ").concat(defaultRadius, " 0"),
        },
        _a[ButtonShape.ROUNDED_LEFT_TOP] = {
            borderRadius: "".concat(defaultRadius, " 0 0 0"),
        },
        _a[ButtonShape.ROUNDED_LEFT_BOTTOM] = {
            borderRadius: "0 0 ".concat(defaultRadius, " 0"),
        },
        _a[ButtonShape.ROUNDED_RIGHT_TOP] = {
            borderRadius: "0 ".concat(defaultRadius, " 0 0"),
        },
        _a[ButtonShape.ROUNDED_RIGHT_BOTTOM] = {
            borderRadius: "0 0 ".concat(defaultRadius, " 0"),
        },
        _a);
    return shape && shapeStyles[shape] ? shapeStyles[shape] : {};
};
/**
 * Primary UI component for user interaction
 */
export var StyledButton = styled(MuiButton)(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
var templateObject_1;
