var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { getButtonShapeStyles } from '../components/Button/Button.styles';
// import { AutoCompleteProps } from '../components/AutoComplete/AutoComplete.types';
export var theme = {
    typography: {
        fontFamily: [
            'Volta-75Bold' /* need link custom font */,
            '-apple-system',
            'BlinkMacSystemFont',
            '"Segoe UI"',
            'Roboto',
            '"Helvetica Neue"',
            'Arial',
            'sans-serif',
            '"Apple Color Emoji"',
            '"Segoe UI Emoji"',
            '"Segoe UI Symbol"',
        ].join(','),
        button: {
            textTransform: 'none',
        },
    },
    palette: {
        primary: {
            main: '#0460a9',
        },
    },
    components: {
        MuiButton: {
            variants: [
                {
                    props: { size: 'default' },
                    style: {
                        height: '32px',
                    },
                },
                {
                    props: { size: 'touch' },
                    style: {
                        height: '48px',
                        fontSize: '14px',
                        fontWeight: 400,
                    },
                },
                {
                    props: { size: 'inline' },
                    style: {
                        height: '40px',
                    },
                },
                {
                    props: { size: 'small' },
                    style: {
                        height: '30px',
                    },
                },
                {
                    props: { size: 'medium' },
                    style: {
                        height: '36.5px',
                    },
                },
                {
                    props: { size: 'large' },
                    style: {
                        height: '42.25px',
                        fontSize: '15px',
                        fontWeight: 500,
                    },
                },
            ],
            styleOverrides: {
                root: function (_a) {
                    var ownerState = _a.ownerState;
                    return __assign({ borderRadius: '2px', fontSize: '14px', padding: '0 16px' }, getButtonShapeStyles(ownerState.shape));
                },
            },
            defaultProps: {
                variant: 'outlined',
                disableElevation: true,
            },
        },
        MuiToggleButton: {
            styleOverrides: {
                root: {
                    borderRadius: '2px',
                    padding: 0,
                    height: '32px',
                    width: '32px',
                },
            },
            defaultProps: {
                color: 'primary',
            },
        },
        // Default styles for AutoComplete.
        MuiAutocomplete: {
            styleOverrides: {
                root: function (ownerState) {
                    return {
                        width: ownerState.iconPosition ? 280 : 275,
                        borderWidth: '2px',
                        height: ownerState.iconPosition ? 50 : 48,
                    };
                },
            },
        },
    },
};
